function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) { ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) { o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) { if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } } return t; }
/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * The OpenSearch Contributors require contributions made to
 * this file be licensed under the Apache-2.0 license or a
 * compatible open source license.
 *
 * Modifications Copyright OpenSearch Contributors. See
 * GitHub history for details.
 */

import * as React from 'react';
var EuiIconLogoSketch = function EuiIconLogoSketch(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, ["title", "titleId"]);
  return /*#__PURE__*/React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 32,
    height: 32,
    viewBox: "0 0 32 32",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title) : null, /*#__PURE__*/React.createElement("g", {
    fill: "none"
  }, /*#__PURE__*/React.createElement("path", {
    fill: "#FFAE00",
    d: "M16 32 0 11.454l6.931-10.38L16 0l9.069 1.074L32 11.454z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#EC6C00",
    d: "M16 32 0 11.454h32z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFAE00",
    d: "M16 32 6.477 11.454h19.045z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFEFB4",
    d: "M16 0 6.477 11.454h19.045z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FFAE00",
    d: "M6.932 1.074 3.369 6.3.001 11.454h6.542zM25.069 1.074 28.632 6.3 32 11.454h-6.542z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#FED305",
    d: "m6.931 1.074-.453 10.38L16 0zM25.069 1.074l.453 10.38L16 0z"
  })));
};
export var icon = EuiIconLogoSketch;